<div ng-controller="CargarOrdenes" ng-cloak ng-init="init()">
    <nav class="navbar navbar-inverse none" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" ng-init="Navbar1 = true" ng-click="Navbar1 = !Navbar1">
                    <span class="sr-only">
                        Toggle navigation
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                </button>
                <a class="navbar-brand" href="javascript:void(0)">
                <img alt="Usuario" height="100%" src="files/images/favicon.png">
                </a>
            </div>
            <div class="collapse navbar-collapse" ng-class="!Navbar1 && 'in'">
                <ul class="nav navbar-nav navbar-left">
                    <li ng-click="goToInicio()" ng-show="showMenu(&quot;Inicio&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Inicio</a>
                    </li>
                    <li ng-click="goToMapa()" ng-show="showMenu(&quot;Mapa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mapa</a>
                    </li>
                    <li ng-show="showMenu(&quot;Ordenes&quot;)" uib-dropdown class="dropdown  ">
                        <a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown" uib-dropdown-toggle>Ordenes <span class="caret"></span></a>
                        <ul class="dropdown-menu" role="menu" uib-dropdown-menu>
                            <li class="">
                                <a href="" ng-click="goToBuscarOrdenes()" ng-show="showMenu(&quot;Buscar&quot;)">Buscar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToCargarOrdenes()" ng-show="showMenu(&quot;Cargar&quot;)">Cargar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToDiistribucionOrdenes()" ng-show="showMenu(&quot;Distribución&quot;)">Distribucion</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToEstadoActualOrdenes()" ng-show="showMenu(&quot;Estado Actual&quot;)">Estado Actual</a>
                            </li>
                        </ul>
                    </li>
                    <li ng-click="goToUsuarios()" ng-show="showMenu(&quot;Usuarios&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Usuarios</a>
                    </li>
                    <li ng-click="goToEmpresa()" ng-show="showMenu(&quot;Empresa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Empresa</a>
                    </li>
                    <li ng-click="goToMiCuenta()" ng-show="showMenu(&quot;Mi cuenta&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mi Cuenta</a>
                    </li>
                </ul>
                <button ng-click="salir(true)" ng-show="showMenu(&quot;Salir&quot;)" class="btn btn-danger navbar-btn navbar-right"
                type="button">
                    <span class="ion ion-log-out" style="color: black;">
                    </span>
                    Salir
                </button>
            </div>
        </div>
    </nav>
    <div data-wrapper-for="Grid1" class="container-fluid">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                <select class="form-control">
                    <option value="SAMS" selected>
                        SAMSUNG
                    </option>
                    <option>
                        POR DEFECTO
                    </option>
                </select>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-8 col-sm-8 col-md-8 col-lg-8">
                <textarea ng-change="readFromExcel()" ng-disabled="disableInputText" ng-model="textOrders"
                class="form-control" rows="3" placeholder="Pegar órdenes (En Excel copiar Ctrl+c y pegar Ctrl+v)"></textarea>
            </div>
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
                <textarea ng-change="readFromExcelAs()" ng-disabled="disableInputText" ng-model="textAsignaciones"
                class="form-control" rows="3" placeholder="Pegar asignaciones (En Excel copiar Ctrl+c y pegar Ctrl+v)"></textarea>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                <table class="table table-condensed">
                    <tr>
                        <td width="130">
                            <button ng-click="cargarOrdenes()" ng-disabled="disableProcesarOrdenes" class="btn btn-primary btn-sm"
                            type="button">
                                <span class="ion ion-ios-cloud-upload" style="color: black;">
                                </span>
                                Procesar Ordenes
                            </button>
                            <button ng-click="claenTable()" class="btn btn-default btn-sm" type="button">
                                <span class="ion ion-close-circled" style="color: black;">
                                </span>
                                Limpiar Datos
                            </button>
                            <div class="checkbox ">
                                <label>
                                    <input type="checkbox" value="" checked="checked" ng-model="ignorarDuplicados" />
                                    No sobrescribir órdenes previas existentes
                                </label>
                            </div>
                            <div class="checkbox ">
                                <label>
                                    <input type="checkbox" value="" checked="checked" ng-model="usarAsignaciones" />
                                    Usar Asignaciones
                                </label>
                            </div>
                        </td>
                        <td width="200">
                            <!-- bootstraptablecol -->
                            <h5>
                                Ordenes Procesadas: {{ordenesActual}}/{{ordenesTotal}}
                            </h5>
                            <!-- bootstraptablecol -->
                            <h5 ng-hide="finCargaNube">
                                {{mensajeActProceso}}
                            </h5>
                            <!-- bootstraptablecol -->
                            <p>
                                {{msgResumenProceso}}
                            </p>
                            <button ng-click="reprocesarNoCargadas()" ng-show="hayNoCargadas" class="btn btn-warning btn-sm"
                            type="button">
                                <span class="ion ion-refresh" style="color: black;">
                                </span>
                                Reprocesar no cargadas
                            </button>
                        </td>
                        <td width="150">
                            <img ng-show="statusCarga" width="40px" height="" src="files/images/cargando.gif"
                            class="img-default" alt="Image error">
                            <table class="table table-condensed">
                                <tr>
                                    <td colspan='2'>
                                        <button ng-click="detenerProcesoCarga()" ng-show="statusCarga" class="btn btn-danger btn-sm"
                                        type="button">
                                            <span class="ion ion-close-circled" style="color: black;">
                                            </span>
                                            Detener Proceso
                                        </button>
                                        <!-- bootstraptablecol -->
                                        <h4 ng-model="msgFinProceso">
                                            {{msgFinProceso}}
                                        </h4>
                                    </td>
                                </tr>
                                <tr ng-show="totalOkStatus">
                                    <td>
                                        <img ng-show="totalOkStatus" width="20px" height="" src="files/images/ok.png" class="img-default"
                                        alt="Image error">
                                    </td>
                                    <td>
                                        <!-- bootstraptablecol -->
                                        <p>
                                            {{totalOkMsg}}
                                        </p>
                                    </td>
                                </tr>
                                <tr ng-show="totalErrStatus">
                                    <td>
                                        <img ng-show="totalErrStatus" width="20px" height="" src="files/images/error.png"
                                        class="img-default" alt="Image error">
                                    </td>
                                    <td>
                                        <!-- bootstraptablecol -->
                                        <p>
                                            {{totalErrMsg}}
                                        </p>
                                    </td>
                                </tr>
                                <tr ng-show="totalWarnStatus">
                                    <td>
                                        <img ng-show="totalWarnStatus" width="20px" height="" src="files/images/warning.png"
                                        class="img-default" alt="Image error">
                                    </td>
                                    <td>
                                        <!-- bootstraptablecol -->
                                        <p>
                                            {{totalWarnMsg}}
                                        </p>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td width="33%">
                            <!-- bootstraptablecol -->
                            <p>
                                Ordenes Asignación: {{totalOrdenesAsignacion}}
                                <br>
                                Ordenes Coincidentes: {{totalOrdenesAsignacionCoincidentes}}
                                <br>
                                Ordenes No Coincidentes: {{listaOrdenesAsignacionNoCoincidentes}}
                            </p>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-8 col-sm-8 col-md-8 col-lg-8 clearfix">
                <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped table-condensed" id="dataTable">
                        <tr class="info">
                            <th class=" success">
                                Orden
                            </th>
                            <th class=" success">
                                Tipo/Subtipo
                            </th>
                            <th class=" success">
                                Cliente
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" success">
                                Fecha Solicitud
                            </th>
                            <th class=" success">
                                Fecha Asignación
                                <input type="date" value="{{selectFechaAsignacionDefault}}" placeholder="Enter text"
                                ng-change="setFechasAsignacion()" ng-disabled="disableDateAssign" min="{{minFechaSelect}}"
                                ng-model="selectFechaAsignacionModelo" class="form-control" name="">
                            </th>
                            <th class=" success">
                                Dirección
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" success">
                                Cita Date
                            </th>
                            <th class=" success">
                                Ingeniero
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" success">
                                Teléfono
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" success">
                                Modelo
                            </th>
                            <th class=" success">
                                Serie (IMEI)
                            </th>
                            <th colspan='3' class=" success">
                                Fecha compra
                            </th>
                            <th class=" success">
                            </th>
                            <th class=" success">
                            </th>
                            <th class=" success">
                                Descripción Defecto
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" success">
                                Descripción Reparación
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" ">
                                Comentarios
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" ">
                                Repuestos
                            </th>
                        </tr>
                        <tr ng-repeat="item in parseLines">
                            <td>
                                {{item[&quot;codigo&quot;]}}
                                <img ng-show="item.estCargando" width="20px" height="" src="files/images/cargando.gif"
                                class="img-default" alt="Image error">
                                <img ng-show="item.estOk" width="20px" height="" src="files/images/ok.png" class="img-default"
                                alt="Image error">
                                <img ng-show="item.estError" width="20px" height="" src="files/images/error.png"
                                class="img-default" alt="Image error">
                                <img ng-show="item.estWarning" width="20px" height="" src="files/images/warning.png"
                                class="img-default" alt="Image error">
                                <!-- bootstraptablecol -->
                                <p>
                                    {{item.codigoError}} {{item.textoError}}
                                </p>
                            </td>
                            <td>
                                {{item[&quot;tipoServicio&quot;]}}/{{item[&quot;subTipoServicio&quot;]}}
                            </td>
                            <td>
                                {{item[&quot;nombreCliente&quot;]}}
                            </td>
                            <td>
                                {{item[&quot;fechaSolicitud&quot;]}}
                            </td>
                            <td>
                                <input type="date" value="{{item.fechaAsignacionData}}" placeholder="Enter text"
                                ng-disabled="disableDateAssign" min="{{minFechaSelect}}" ng-model="item.fechaAsignacionDataModel"
                                class="form-control" name="">
                            </td>
                            <td>
                                {{item[&quot;direccion&quot;]}}, {{item[&quot;comuna&quot;]}}
                            </td>
                            <td>
                                {{item[&quot;fechaEstimadaDia&quot;]}} ({{item[&quot;fechaEstimadaHora&quot;]}})
                            </td>
                            <td>
                                {{item[&quot;Nombre del Ingeniero&quot;]}}
                            </td>
                            <td>
                                Hogar: {{item[&quot;telefonoClienteHome&quot;]}}, Oficina: {{item[&quot;telefonoClienteOffice&quot;]}},
                                Móvil: {{item[&quot;telefonoClienteMobile&quot;]}}
                            </td>
                            <td>
                                {{item[&quot;Modelo&quot;]}}
                            </td>
                            <td>
                                {{item[&quot;Nro de Serie&quot;]}}
                            </td>
                            <td>
                                {{item[&quot;fechaCompra&quot;]}}
                            </td>
                            <td colspan='3'>
                            </td>
                            <td>
                            </td>
                            <td>
                                {{item[&quot;descripcionDefecto&quot;]}}
                            </td>
                            <td>
                                {{item[&quot;descripcionReparacion&quot;]}}
                            </td>
                            <td>
                                {{item[&quot;mensajeCliente&quot;]}}
                            </td>
                            <td>
                                {{item.repuestos}}
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
                <table class="table table-bordered table-hover table-striped table-condensed" id="dataAsignaciones">
                    <tr class="info">
                        <th class=" " align="center">
                            <div class="checkbox ">
                                <label>
                                    <input type="checkbox" value="" ng-change="checkAssignAll(checkAssignGral)" ng-model="checkAssignGral"
                                    />
                                </label>
                            </div>
                        </th>
                        <th class=" ">
                            Orden
                        </th>
                        <th class=" ">
                            Técnico
                        </th>
                        <th class=" ">
                            ID
                        </th>
                    </tr>
                    <tr ng-repeat="item in parseLinesAs">
                        <td align="center">
                            <div class="checkbox ">
                                <label>
                                    <input type="checkbox" value="" ng-change="validateCheckAssign()" ng-model="item.checkAssign"
                                    />
                                </label>
                            </div>
                        </td>
                        <td>
                            {{item.codigo}}
                        </td>
                        <td>
                            {{item.tecnico}}
                        </td>
                        <td>
                            {{item.id}}
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>